#if ! defined( APB_CLASS_HEADER )
#define APB_CLASS_HEADER

/*
** Author: Samuel R. Blackburn
** CI$: 76300,326
** Internet: sammy@sed.csc.com
**
** You can use it any way you like.
*/

class APB : public RESPONSE
{
   DECLARE_DYNAMIC( APB )

   public:

      APB();
     ~APB();

      /*
      ** Data
      */

      NMEA0183_BOOLEAN IsLoranBlinkOK;
      NMEA0183_BOOLEAN IsLoranCCycleLockOK;
      double           CrossTrackErrorMagnitude;
      LEFTRIGHT        DirectionToSteer;
      CString          CrossTrackUnits;
      NMEA0183_BOOLEAN IsArrivalCircleEntered;
      NMEA0183_BOOLEAN IsPerpendicular;
      double           BearingOriginToDestination;
      CString          BearingOriginToDestinationUnits;
      CString          To;
      double           BearingPresentPositionToDestination;
      CString          BearingPresentPositionToDestinationUnits;
      double           HeadingToSteer;
      CString          HeadingToSteerUnits;

      /*
      ** Methods
      */

      virtual void Empty( void );
      virtual BOOL Parse( const SENTENCE& sentence );
      virtual BOOL Write( SENTENCE& sentence );

      /*
      ** Operators
      */

      virtual const APB& operator = ( const APB& source );
};

#endif // APB_CLASS_HEADER
