#include "nmea0183.h"
#pragma hdrstop

/*
** Author: Samuel R. Blackburn
** CI$: 76300,326
** Internet: sammy@sed.csc.com
**
** You can use it any way you like.
*/

IMPLEMENT_DYNAMIC( RESPONSE, CObject )

RESPONSE::RESPONSE()
{
   Talker.Empty();
   ErrorMessage.Empty;
}

RESPONSE::~RESPONSE()
{
   Mnemonic.Empty();
   Talker.Empty();
   ErrorMessage.Empty();
}

void RESPONSE::SetContainer( NMEA0183 *container )
{
   ASSERT_VALID( this );
   ASSERT( container != NULL );

   container_p = container;
}

void RESPONSE::SetErrorMessage( const CString& error_message )
{
   ASSERT_VALID( this );

   ErrorMessage  = Mnemonic;
   ErrorMessage += ", ";
   ErrorMessage += error_message;
}

BOOL RESPONSE::Write( SENTENCE& sentence )
{
   ASSERT_VALID( this );

   /*
   ** All NMEA0183 sentences begin with the mnemonic...
   */

   sentence  = "$--";
   sentence += Mnemonic;
   sentence += ",";

   return( TRUE );
}

const CString& RESPONSE::PlainEnglish( void )
{
   static CString return_string;

   return_string.Empty();

   return( return_string );
}
