#if ! defined( RESPONSE_CLASS_HEADER )
#define RESPONSE_CLASS_HEADER

/*
** Author: Samuel R. Blackburn
** CI$: 76300,326
** Internet: sammy@sed.csc.com
**
** You can use it any way you like.
*/

class NMEA0183;

class RESPONSE : public CObject
{
   DECLARE_DYNAMIC( RESPONSE )

   private:

      NMEA0183 *container_p;

   public:

      RESPONSE();
     ~RESPONSE();

      /*
      ** Data
      */

      CString ErrorMessage;
      CString Mnemonic;
      CString Talker;

      /*
      ** Methods
      */

      virtual void Empty( void ) = 0;
      virtual BOOL Parse( const SENTENCE& sentence ) = 0;
      virtual const CString& PlainEnglish( void );
      virtual void SetErrorMessage( const CString& );
      virtual void SetContainer( NMEA0183 *container );
      virtual BOOL Write( SENTENCE& sentence );
};
 
#endif // RESPONSE_CLASS_HEADER
